package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardNumberDto;
import com.crm.rely.backend.core.entity.ucard.CardNumberPageEntity;
import com.crm.rely.backend.core.pojo.table.ucard.UcardCardNumberTable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UcardCardNumberMapper {

    Integer countList(CardNumberPageEntity entity);

    List<CardNumberDto> pageList(CardNumberPageEntity entity);

    void batchSave(List<UcardCardNumberTable> list);

}
